Add comment
curl --request POST \
--url https://api.elean.app/v1/public/{projectSlug}/tasks/{taskId}/comments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Deployed to staging."
}
'import requests
url = "https://api.elean.app/v1/public/{projectSlug}/tasks/{taskId}/comments"
payload = { "content": "Deployed to staging." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: 'Deployed to staging.'})
};
fetch('https://api.elean.app/v1/public/{projectSlug}/tasks/{taskId}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "018e1b2c-cccc-0000-0000-000000000001",
"content": "This is ready for review.",
"authorName": "my-api-key",
"createdAt": "2026-03-15T10:00:00.000Z",
"updatedAt": "2026-03-15T10:00:00.000Z"
}{
"statusCode": 400,
"message": "title must be longer than or equal to 1 characters"
}{
"statusCode": 401,
"message": "Invalid API key"
}{
"statusCode": 403,
"message": "Missing required scope: task:create"
}{
"statusCode": 404,
"message": "Task not found"
}{
"statusCode": 429,
"message": "Too many requests"
}Comments
Add comment
Adds a comment to a task. The comment is attributed to the API key name. Accepts either a UUID or an external ID.
Requires the task:update scope.
POST
/
{projectSlug}
/
tasks
/
{taskId}
/
comments
Add comment
Authorizations
API key created in Workspace Settings → API Keys. Pass it in the Authorization header as a Bearer token, or in the X-API-Key header.
Format: el_ followed by 40 hex characters.
Path Parameters
Example:
"my-project"
UUID of the task, or its external ID (e.g. PROJ-42).
Example:
"PROJ-42"
Body
application/json
Comment text.
Required string length:
1 - 10000Example:
"Deployed to staging."
Response
Comment added successfully.
A comment on a task.
Unique identifier of the comment.
Example:
"018e1b2c-cccc-0000-0000-000000000001"
Comment text.
Example:
"This is ready for review."
Name of the API key that posted the comment, or null for comments posted by workspace members.
Example:
"my-api-key"
Example:
"2026-03-15T10:00:00.000Z"
Example:
"2026-03-15T10:00:00.000Z"